# Debilus

Easy to setup typed relational Wrapper atop deno KV.

## Usage

```ts
import { EntryFor, Schema, Store } from "https://git.barnulf.net/mb/debilus/raw/commit/fc701bec680dd73be29c72164f47ee87fac540c7/mod.ts"
const store = await Store.open(
    new Schema({
        user: { name: "string" },
        post: { author: ["one", "user"] }
    }),
    "./store.kv"
);
type User = EntryFor<typeof store, "user">;
const bob: User = await store.insert("user", { name: "bob" });
```
